Fix "PHP Fatal error: Argument 1 to setTitle() must be Title, null given" from View.php:455 in OutputPage.php:993
Closed, ResolvedPublic

Description

[Wed Jul 01 07:21:07 2015] [error] [client 90.220.15.206] [host finanpedia.nl] Backend fatal error: PHP Catchable fatal error: Argument 1 passed to OutputPage::setTitle() must be an instance of Title, null given, called in /home/*/domains/*.nl/public_html/mw/extensions/LiquidThreads/classes/View.php on line 455 and defined in /home/*/domains/*.nl/public_html/mw/includes/OutputPage.php on line 993\n, referer: http://finanpedia.nl/wiki/Overleg:Hoofdpagina

Running MediaWiki 1.25 and REL1_25 of LiquidThreads (this also happens on master)

Happens when clicking the "Add new section" tab on a blank LiquidThreads talk page as a user who doesn't have the edit right (e.g. user not yet email confirmed; $wgEmailConfirmToEdit).

Krinkle created this task.Jul 1 2015, 5:25 AM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Unbreak Now!.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2015, 5:25 AM
Krinkle updated the task description. (Show Details)Jul 1 2015, 5:28 AM
Krinkle set Security to None.
Krinkle updated the task description. (Show Details)Jul 1 2015, 5:33 AM

Krinkle: Any idea who could/should be set as assignee? This has been "Unbreak now" for more than three weeks without activity...

DannyH added a subscriber: DannyH.Jul 24 2015, 5:15 PM

I take this out of the current Collaboration sprint. As Andre noted, this was Unbreak now for three weeks. The bug is caused by a soon-to-be-deprecated feature on a wiki that I'm not familiar with, so I'm not sure why it's urgent.

Nick, is there something I'm missing about this?

The fact that we were not aware of this for three weeks does not imply it does not need to be fixed. It does need to be.

This is not the most important item in the sprint, but it meets the criteria for Unbreak Now and should be in the sprint.

Okay, fair enough. I'll put it back in.

Change 227376 had a related patch set uploaded (by Mattflaschen):
When user can not post a new thread, let the non-AJAX path handle it

https://gerrit.wikimedia.org/r/227376

Happens on master as well. Can be QA-ed with setting:

$wgEmailConfirmToEdit = true;

(and a user that is not email-confirmed)

Possibly also with a protected page or blocked user, but the one above is what the description mentions.

Change 227376 merged by jenkins-bot:
When user can not post a new thread, let the non-AJAX path handle it

https://gerrit.wikimedia.org/r/227376

Checked on testwiki.

Change 228157 had a related patch set uploaded (by Mattflaschen):
When user can not post a new thread, let the non-AJAX path handle it

https://gerrit.wikimedia.org/r/228157

Change 228157 merged by jenkins-bot:
When user can not post a new thread, let the non-AJAX path handle it

https://gerrit.wikimedia.org/r/228157

DannyH closed this task as Resolved.Jul 31 2015, 5:34 PM
DannyH moved this task from Product Review to Done on the Collaboration-Team-Archive-2015-2016 board.